Bug 25348 - Add support for circulation status 12 ( lost )
Summary: Add support for circulation status 12 ( lost )
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 25347
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-01 16:20 UTC by Kyle M Hall
Modified: 2020-08-18 02:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25348: Add support for circulation status 12 ( lost ) (1.91 KB, patch)
2020-05-01 16:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25348: Add support for circulation status 12 ( lost ) (1.94 KB, patch)
2020-05-02 02:52 UTC, David Nind
Details | Diff | Splinter Review
Bug 25348: Add support for circulation status 12 ( lost ) (1.96 KB, patch)
2020-08-11 14:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25348: Add support for circulation status 12 ( lost ) (2.00 KB, patch)
2020-08-11 15:38 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25348: (QA follow-up) Silence irrelevant warnings (2.14 KB, patch)
2020-08-11 15:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-05-01 16:20:16 UTC
We should support the SIP2 "circulation status" value 12, "lost".
Comment 1 Kyle M Hall 2020-05-01 16:25:42 UTC
Created attachment 104125 [details] [review]
Bug 25348: Add support for circulation status 12 ( lost )

We should support the SIP2 "circulation status" value 12, "lost".

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t
Comment 2 David Nind 2020-05-02 02:52:58 UTC
Created attachment 104174 [details] [review]
Bug 25348: Add support for circulation status 12 ( lost )

We should support the SIP2 "circulation status" value 12, "lost".

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Kyle M Hall 2020-08-11 14:58:22 UTC
Created attachment 108077 [details] [review]
Bug 25348: Add support for circulation status 12 ( lost )

We should support the SIP2 "circulation status" value 12, "lost".

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Tomás Cohen Arazi 2020-08-11 15:38:30 UTC
Created attachment 108081 [details] [review]
Bug 25348: Add support for circulation status 12 ( lost )

We should support the SIP2 "circulation status" value 12, "lost".

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2020-08-11 15:42:26 UTC
Created attachment 108082 [details] [review]
Bug 25348: (QA follow-up) Silence irrelevant warnings

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Tomás Cohen Arazi 2020-08-11 15:44:12 UTC
The warnings are not related to this patch or the other ones on this series.
Comment 7 Jonathan Druart 2020-08-13 08:19:26 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-08-17 15:44:39 UTC
backported to 20.05.x for 20.05.03
Comment 9 Aleisha Amohia 2020-08-18 02:26:12 UTC
enhancement missing dependencies, not backported to 19.11.x